### Function

# Adw CssClassBindingMapToClassFunc

unstable since: 1.10

#### Declaration

    gboolean
    (* AdwCssClassBindingMapToClassFunc) (
      AdwCssClassBinding* self,
      const GValue* property_value,
      gpointer user_data
    )

#### Description [src]

Prototype for mapping properties to CSS classes for a `AdwCssClassBinding`.

Available since: 1.10

#### Parameters

`self`

  Type: `AdwCssClassBinding`

  The binding class.

  The data is owned by the caller of the function.

`property_value`

  Type: `GValue`

  The source property value.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data provided when creating the binding.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether to apply the target CSS class.